Subject: [Ipoverib] Textual Conventions - proposals

From: "Anderson, Bill" <[email-masked]>
Date: Tue, 2 Oct 2001 09:07:27 -0400

Here is a list of what I propose for TCs.  My understanding is that all
Indices should be 
one based so Ihave set the ranges accordingly.  I plan on providing
these TCs as part of the 
IF MIB document.  A second module called InfinibandMIB  containing these
TCs  plus others
such as suggested by Bill S suggest will be added to the begininning of
the document.  I hope to get a new version of the document done this
week.  Any feed back 
on the TCs below is welcome at this point. 
 
   -- Textual Conventions
   -- Note that the Virtual Lane and IBA Port TC  are one based.
   -- The SNMP responder must make appropriate conversions to
   -- IBA numbering scheme.
 
VLIdTC ::= TEXTUAL-CONVENTION
    STATUS      current
    DESCRIPTION
       "Identifies a Virtual Lane instance on a given interface. This
        includes both the management and data Virtual Lanes. "
    SYNTAX       Integer32(1..16)
 
DataVLIdTC ::= TEXTUAL-CONVENTION
    STATUS      current
    DESCRIPTION
       "Identifies a Data Virtual Lane instance on a given interface.
This
        index exludes the management Virtual Lane."
    SYNTAX       Integer32(1..15)
 
IBPortTC ::= TEXTUAL-CONVENTION
    STATUS      current
    DESCRIPTION
       "Identifies a IBA Port. Including the management and invalid port
identifier "
    SYNTAX       Integer32(1..256)
 
IBPhyPortTC ::= TEXTUAL-CONVENTION
    STATUS      current
    DESCRIPTION
       "Identifies a non management IBA Port. Including the invalid
         port identifier "
    SYNTAX       Integer32(2..256)
 
IBValidPhyPortTC ::= TEXTUAL-CONVENTION
    STATUS      current
    DESCRIPTION
       "Identifies a valid non management IBA Port. "
    SYNTAX       Integer32(2..255)
 
LIdTC ::= TEXTUAL-CONVENTION
    STATUS      current
    DESCRIPTION
       "Identifies the LID of a Desitination Port.  The address is
        stored in IBA defined bit order, that is, the High Order Bit of
        the Local Identifier byte 0 is positioned as the high-order bit
of
        the first byte of ifPhysAddress.
    SYNTAX       OCTET STRING (SIZE (2))
 
GUIDTC::= TEXTUAL-CONVENTION
    STATUS      current
    DESCRIPTION
       "A locally  scoped EUI-64 identifier of channel adapters,
        routers, and switch management port."
    SYNTAX       OCTET STRING (SIZE(8)) 

Bill Anderson                      [email-masked]
<mailto:[email-masked]> 
InfiniSwitch, Corp.             Phone: (508) 599-6336
134 Flanders Road            www.infiniswitch.com
Westborough, MA 01581  fax:(508) 870-3146 

_______________________________________________
IPoverIB mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/ipoverib